<?php
class OlussierEABadge extends WP_Widget {

  function OlussierEABadge() {
    parent::WP_Widget(false, "Empire Avenue Badge", array('description' => "Allow you to advertise your Empire Avenue stock price, ticker and other informtion."));  
  }

  function widget($args, $instance) {
    extract($args);
    $title = apply_filters('widget_title', $instance['title']);
    echo $before_widget;
    if ($title) { echo $before_title.$title.$after_title; }
  	
  	echo "<script type=\"text/javascript\" charset=\"utf-8\">\r\n";
    echo "var eav_t = \"".addslashes($instance['ticker'])."\";\r\n";
    echo "var eav_s = ".$instance['size'].";\r\n";
    echo "var eav_is_ssl = (\"https:\" == document.location.protocol);\r\n";
    echo "var eav_asset_host = eav_is_ssl ? \"https://badge.empireavenue.com/\" : \"http://badge.empireavenue.com/\";\r\n";
    echo "document.write(unescape(\"%3Cscript src='\" + eav_asset_host + \"blog/?t=\" + eav_t + \"&s=\" + eav_s + \"&l=\" + escape(window.location) + \"' type='text/javascript'%3E%3C/script%3E\"));\r\n";
    echo "</script>\r\n";
         
    echo $after_widget;
  }
  
  function update($new_instance, $old_instance) {       
    return $new_instance;
  }
  
  function form($instance) {
    if (array_key_exists('title',$instance)) {
      $title = esc_attr($instance['title']);
    } else {
      $title = "";
    }
       
    echo "<p><label for=\"".$this->get_field_id('title')."\">"._e('Title:')." <input class=\"widefat\" id=\"".$this->get_field_id('title')."\" name=\"".$this->get_field_name('title')."\" type=\"text\" value=\"".wp_specialchars($title)."\" /></label></p>\r\n";
    echo "<p><label for=\"".$this->get_field_id('ticker')."\">"._e('Ticker:')." <input class=\"widefat\" id=\"".$this->get_field_id('ticker')."\" name=\"".$this->get_field_name('ticker')."\" type=\"text\" value=\"".wp_specialchars($instance['ticker'])."\" maxlength=\"12\" /></label></p>\r\n";
    echo "<p><label for=\"".$this->get_field_id('size')."\">"._e('Size:')." <select class=\"widefat\" id=\"".$this->get_field_id('size')."\" name=\"".$this->get_field_name('size')."\"><option value=\"1\"".($instance['size'] == "1" ? " selected" : "").">125x125</option><option value=\"2\"".($instance['size'] == "2" ? " selected" : "").">190x167</option></select></label></p>\r\n";
  }
}
?>