<?php
/*
Plugin Name: Empire Avenue Tools
Plugin URI: http://olussier.net/empire-avenue-plugin/
Description: Adds links to Empire Avenue stocks in the (e)TICKER form and the EA badge as a widget
Version: 0.3.4
Author: Olivier Lussier
Author URI: http://olussier.net
License: GPL2


Copyright 2010  Olivier Lussier  (email : olivier@olussier.net)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License, version 2, as 
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

require_once('badge.php');

if (!is_admin()) {
	add_action('wp_print_scripts', 'addEAJs');
}
add_action('widgets_init', 'registerEAWidget');

function registerEAWidget() {
	return register_widget("OlussierEABadge");
}

function addEAJs() {
	wp_enqueue_script('jquery-qtip',WP_PLUGIN_URL.'/empire-avenue-tools/js/jquery.qtip-1.0.0-rc3.min.js',array('jquery'));
	wp_enqueue_script('jquery-eavify',WP_PLUGIN_URL.'/empire-avenue-tools/js/jquery.eavify.js',array('jquery','jquery-qtip'));
	wp_enqueue_script('empireavenue',WP_PLUGIN_URL.'/empire-avenue-tools/js/empireavenue.js',array('jquery-eavify'));
}

?>