/*
 * Empire Avenue Tools
 * 
 * Edit this file to change the default call to the Eavify jQuery plugin.
 * See http://api.jquery.com/category/selectors/ for help on jQuery selectors.
 * 
 * Here are the parameters you can use for the eavify method:
 * 
 *   badge: 		[true or false]	: Whether to show the badge tooltip	(default: true)
 *   badgePath:		[string]		: Path to the "showbadge.php" used for the tooltip (default: http://olussier.net/apps/eavify/showbadge.php)
 *   linkClass:		[string]		: CSS class name applied to the ticker links. Default styles will not be applied to a custom class name (default: EATicker)
 *   
 */

(function($) {
  $.Eavify.init(function() {
    $('body').eavify({	// By default, apply to everything (body)
      // badgePath: '/wp-content/plugins/empire-avenue-tools/showbadge.php',	// Using the local copy of showbadge.php should be faster. You may need to change the path for your blog.
      badge: true		// By default, show the badge tooltip
    });
  });
})(jQuery);